openqa-dump-templates(1)

NAME
openqa-dump-templates - dump openQA templates

SYNOPSIS
openqa-dump-templates [OPTIONS] [TABLES...]

OPTIONS

--host HOST
    connect to specified host, defaults to localhost

--apibase
    Set API base URL component, default: '/api/v1'

--apikey KEY, --apisecret SECRET
    Specify api key and secret to use, overrides use of config file ~/.config/openqa/client.conf and environment variable "OPENQA_API_KEY". Use is discouraged due to risk of leaking credentials.

--group GROUP
    dump only specified job group

--test NAME
    dump only testsuite with specified name

--machine NAME
    dump only machine with specified name

--product NAME
    dump only product with specified name

--full
    when dumping a specific job group also dump related test suites, products and machines

--json
    dump as json

--convert
    convert legacy non-YAML job groups to modern YAML

    dump as json

--help, -h
    print help

TABLES

Machines
TestSuites
Products
JobTemplates
JobGroups

SYNOPSIS

openqa-dump-templates --host openqa.example.com Products
openqa-dump-templates --host openqa.example.com --group "openSUSE Tumbleweed" --full
openqa-dump-templates --host openqa.example.com --test "gnome"
openqa-dump-templates --host openqa.example.com --machine "64bit"

DESCRIPTION
Dump openQA database tables for Machines TestSuites Products JobTemplates e.g. to load them on another instance.